#include <linux/module.h>	/* Needed by all modules */
#include <linux/kernel.h>	/* Needed for KERN_INFO */
#include <linux/init.h>		/* Needed for the macros */
#include "phStbDemux_common.h"
#include "phStbDemux_dmx.h"


static void dvb_phStb_start_feed(void *device, int nfeed) {
	printk("DVB TEST: start called!\n");
	return;
}
static void dvb_phStb_stop_feed(void *device, int nfeed) {
	printk("DVB TEST: stop called!\n");
	return;
}
static int dvb_phStb_set_ts_filter(void *device, struct phStb_ts_filter *filter, int pdma) {
	printk("DVB TEST: set_ts_filter called!\n");
	return 0;
}
static int dvb_phStb_del_ts_filter(void *device, struct phStb_ts_filter *filter, int pdma) {
	printk("DVB TEST: del_ts_filter called!\n");
	return 0;
}
static int dvb_phStb_set_section_filter(void *device, struct phStb_ts_filter *filter, int pdma) {
	printk("DVB TEST: set_section_filter called!\n");
	return 0;
}
static int dvb_phStb_del_section_filter(void *device, struct phStb_ts_filter *filter, int pdma) {
	printk("DVB TEST: del_section_filter called!\n");
	return 0;
}

static void dvr_start(void *device, int nfeed) {
	printk("DVB TEST: dvr_start called!\n");
	return;
}
static void dvr_stop(void *device, int nfeed) {
	printk("DVB TEST: dvr_stop called!\n");
	return;
}

//static int dvb_phStb_dvr_register(int index, void *hw, struct phStb_demux_device *command, struct phStb_capabilities *caps) {
//	printk("DVB TEST: dvr_load called!\n");
//	return 0;
//}

static void dvb_phStb_set_desc_key(void *device, int index, int parity, unsigned char *cw) {
	printk("DVB TEST: set_desc_word called!\n");
	return;
}
static int dvb_phStb_set_desc_pid(void *device, int index, unsigned int pid) {
	printk("DVB TEST: set_desc_pid called!\n");
	return 0;
}



static struct phStb_demux_device command = {
        .start = dvb_phStb_start_feed,
        .stop = dvb_phStb_stop_feed,
        .set_ts_filter = dvb_phStb_set_ts_filter,
        .del_ts_filter = dvb_phStb_del_ts_filter,
        .set_section_filter = dvb_phStb_set_section_filter,
        .del_section_filter = dvb_phStb_del_section_filter,
        .dvr_start = dvr_start,
        .dvr_stop = dvr_stop,
        .dvr_load = dvb_phStb_dvr_register,
        .set_desc_word = dvb_phStb_set_desc_key,
        .set_desc_pid = dvb_phStb_set_desc_pid,
};

static struct phStb_capabilities capabilities;

static int card = 0;

void register_dvr(void)
{
//  dvb_phStb_remove(card);
   capabilities.numPesFilters = 256;
   capabilities.numSectionFilters = 256;
   capabilities.numDescramblers = 256;

   dvb_phStb_dvr_register(card, NULL, &command, &capabilities);
   printk("registered_dvr: %d\n" ,card);
   return;
}

void register_card(void)
{
//  dvb_phStb_remove(card);
   capabilities.numPesFilters = 256;
   capabilities.numSectionFilters = 256;
   capabilities.numDescramblers = 256;

   dvb_phStb_register(card, NULL, &command, &capabilities);
   printk("registered_card: %d\n" ,card);
//   register_dvr();
   return;
}


static int __init testdvb_init(void)
{
	printk(KERN_INFO "testdvb_init called\n");
	register_card();
	return 0;
}

static void __exit testdvb_exit(void)
{
//	dvb_phStb_remove(1);
//	printk(KERN_INFO "testdvb_exit called\n");
	return;
  
}

module_init(testdvb_init);
module_exit(testdvb_exit);

module_param(card, int, 0644);
MODULE_PARM_DESC(card, "card# for tuner assoication");
