#ifndef PHSTBDEMUX_FRONTEND_H    /* Multi-include protection. */
#define PHSTBDEMUX_FRONTEND_H

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Copyright (C) 2002,2003 Florian Schirmer <jolt@tuxbox.org>
 *
 * Copyright (C) 2007 NXP B.V.
 * All Rights Reserved.
 *
 * NXP based DVB adapter driver.
 * Based on the bt8xx driver by Florian Schirmer <jolt@tuxbox.org>
 *
*//*

Rev Date        Author        Comments
--------------------------------------------------------------------------------
001 15052008    Ch. Grosse    First version
002 20090302    cgrosse       Add module parameters
--------------------------------------------------------------------------------
    For consistency and standardisation retain the Section Separators.
*/

#include "dvb_frontend.h"

extern void frontend_init(struct dvb_phStb_card *card, int instance_count);
extern int debug;
extern long gMin_Freq;
extern long gMax_Freq;
extern char* demod0;
extern char* demod1;
extern char* tuner0;
extern char* tuner1;

extern struct i2c_client *dvb_phStb_i2c_client[MAX_SUPPORTED_TUNER];

extern void phStbFrontend_init(void);
extern void phStbFrontend_exit(void);

#endif
