#ifndef PHSTBDBG_INTERNAL_H    /* Multi-include protection.   <FILENAME>_H */
#define PHSTBDBG_INTERNAL_H
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Copyright (C) 2006 NXP B.V.
 * All Rights Reserved.
*//**
    @file   phStbDbg_Internal.h
    @brief  Internal header file for StbRpc component.

@b  Component:  phStbDbg.

*//*

Rev Date        Author      Comments
--------------------------------------------------------------------------------
  1 20050728    batelaan    Initial.
  2 20050823    batelaan    Removed unneeded public functions. Correct ioctl code.
  3 20050824    batelaan    Crosscheck corrections.
  4 20050905    batelaan    Ensure compilation for all release types.
  5 20070630    laird       Update Copyright
--------------------------------------------------------------------------------
    For consistency and standardisation retain the Section Separators.
*/


/*******************
* INCLUDE FILES    *
********************/

#include <tmNxTypes.h>

/**************************************************************************
* EXPORTED MACROS                          PH_STBDBG_<_WORD>+        *
***************************************************************************/

/* The base of phStbDbg ioctls */
#define PHSTBDBG_IOCTL_BASE 0xBE

/** Pass in module name;
    ioctl return value is offset of debug unit from ::gpphStbDbg_Entries. */
#define PH_STBDBG_IOCTL_REGISTER_MODULE _IOW(PHSTBDBG_IOCTL_BASE, 0, char*)

#define PH_STBDBG_DEVLEN  4096U

/*********************************************************************
* EXPORTED TYPEDEFS                      [p]phStbDbg_<Word>+_t  *
**********************************************************************/

/**************************************************************************
* EXPORTED DATA                     g[k|p|kp|pk|kpk]phStbDbg_<Word>+ *
***************************************************************************/

/** Base of all tmDbgUnit_t structures. */
DBG_UNIT_EXTERN(gpphStbDbg_Entries)

/****************************************************************************
* EXPORTED FUNCTION PROTOTYPES                    phStbDbg[_<Word>+]   *
*****************************************************************************/

/******************************************************************************/

#endif /* PHSTBDBG_INTERNAL_H      Do not add any thing below this line */
