//#@+leo-ver=4
//#@+node:@file host/tmhw.h
typedef unsigned int UInt32;
typedef signed long Int32;

#if        !defined(_TMHW_RGD_SEEN)
#define             _TMHW_RGD_SEEN
typedef union
{
    struct {
     UInt32 blue : 8 ;
     UInt32 green : 8 ;
     UInt32 red : 8 ;
     UInt32 : 8 ;
    } bits;
    unsigned int u32;
} BGR32 ;
typedef union
{
    struct {
     UInt32 blue : 8 ;
     UInt32 green : 8 ;
     UInt32 red : 8 ;
     UInt32 alpha : 8 ;
    } bits;
    unsigned int u32;
} BGRA32 ;
typedef union
{
    struct {
     unsigned char blue ;
     unsigned char green ;
     unsigned char red ;
     unsigned char alpha ;
    } bits;
    unsigned int u32;
} BGRA ;
typedef union
{
    struct {
     unsigned char addr ;
     unsigned char blue ;
     unsigned char green ;
     unsigned char alpha ;
    } bits;
    unsigned int u32;
} ABGR ;
typedef union
{
    struct {
     Int32 s6 : 6 ;
     UInt32 : 26 ;
    } bits;
    unsigned int u32;
} S6 ;
typedef union
{
    struct {
     Int32 s14 : 14 ;
     UInt32 : 18 ;
    } bits;
    unsigned int u32;
} S14 ;
typedef union
{
    struct {
     Int32 s15 : 15 ;
     UInt32 : 17 ;
    } bits;
    unsigned int u32;
} S15 ;
typedef union
{
    struct {
     Int32 s17 : 17 ;
     UInt32 : 15 ;
    } bits;
    unsigned int u32;
} S17 ;
typedef union
{
    struct {
     Int32 s20 : 20 ;
     UInt32 : 12 ;
    } bits;
    unsigned int u32;
} S20 ;
typedef union
{
    struct {
     Int32 s21 : 21 ;
     UInt32 : 11 ;
    } bits;
    unsigned int u32;
} S21 ;
typedef union
{
    struct {
     Int32 s25 : 25 ;
     UInt32 : 7 ;
    } bits;
    unsigned int u32;
} S25 ;
typedef union
{
    struct {
     Int32 s26 : 26 ;
     UInt32 : 6 ;
    } bits;
    unsigned int u32;
} S26 ;
typedef union
{
    struct {
     Int32 s28 : 28 ;
     UInt32 : 4 ;
    } bits;
    unsigned int u32;
} S28 ;
typedef union
{
    struct {
     Int32 s29 : 29 ;
     UInt32 : 3 ;
    } bits;
    unsigned int u32;
} S29 ;
typedef union
{
    struct {
     UInt32 u6 : 6 ;
     UInt32 : 26 ;
    } bits;
    unsigned int u32;
} U6 ;
typedef union
{
    struct {
     unsigned char u8 ;
    } bits;
    unsigned int u32;
} U8 ;
typedef union
{
    struct {
     UInt32 u10 : 10 ;
     UInt32 : 22 ;
    } bits;
    unsigned int u32;
} U10 ;
typedef union
{
    struct {
     UInt32 u12 : 12 ;
     UInt32 : 20 ;
    } bits;
    unsigned int u32;
} U12 ;
typedef union
{
    struct {
     UInt32 u14 : 14 ;
     UInt32 : 18 ;
    } bits;
    unsigned int u32;
} U14 ;
typedef union
{
    struct {
     UInt32 u16 : 16 ;
     UInt32 : 16 ;
    } bits;
    unsigned int u32;
} U16 ;
typedef union
{
    struct {
     UInt32 u20 : 20 ;
     UInt32 : 12 ;
    } bits;
    unsigned int u32;
} U20 ;
typedef union
{
    struct {
     UInt32 u21 : 21 ;
     UInt32 : 11 ;
    } bits;
    unsigned int u32;
} U21 ;
typedef union
{
    struct {
     UInt32 u23 : 23 ;
     UInt32 : 9 ;
    } bits;
    unsigned int u32;
} U23 ;
typedef union
{
    struct {
     UInt32 u24 : 24 ;
     UInt32 : 8 ;
    } bits;
    unsigned int u32;
} U24 ;
typedef union
{
    struct {
     UInt32 u25 : 25 ;
     UInt32 : 7 ;
    } bits;
    unsigned int u32;
} U25 ;
typedef union
{
    struct {
     UInt32 u26 : 26 ;
     UInt32 : 6 ;
    } bits;
    unsigned int u32;
} U26 ;
typedef union
{
    struct {
     UInt32 u28 : 28 ;
     UInt32 : 4 ;
    } bits;
    unsigned int u32;
} U28 ;
typedef union
{
    struct {                      // (11,11), (12,12) and (13,11)
     UInt32 x : 16 ;
     UInt32 y : 16 ;
    } bits;
    unsigned int u32;
} XY16 ;
typedef union
{
    struct {                      // signed
     Int32 x : 13 ;
     Int32 : 3 ;
     Int32 y : 13 ;
    } bits;
    unsigned int u32;
} XYS13 ;
typedef union
{
    struct {                // block ID: read only at 0xffc in each block
     UInt32 apertureSize : 8 ;
     UInt32 minorRevision : 4 ;
     UInt32 majorRevision : 4 ;
     UInt32 moduleId : 16 ;
    } bits;
    unsigned int u32;
} tmBlockId_t ;
#endif  // !defined(_TMHW_RGD_SEEN)
#if        !defined(_TMHWDSP2B80_RGD_SEEN)
#define             _TMHWDSP2B80_RGD_SEEN
#define _RGD_Module_Id_Of_Dsp              2B80
#define _RGD_Hex_Module_Id_Of_Dsp          0x2B80
#define _RGD_Module_Name_Of_2B80           Dsp
typedef struct _tmhwDspRegs
{
    unsigned char filler00000[0x0000c-0x00000];
    union _dspCacheEvents
    {
        struct
        {
            unsigned int event1 : 4;
            unsigned int event2 : 4;
#define TMHW_DSP_EV_NO_EVENT                      0
#define TMHW_DSP_EV_ICACHE_MISS                   1
#define TMHW_DSP_EV_ICACHE_STALL                  2
#define TMHW_DSP_EV_DCACHE_BANK_CONFT             3
#define TMHW_DSP_EV_DCACHE_READ_MISS              4
#define TMHW_DSP_EV_DCACHE_WRITE_MISS             5
#define TMHW_DSP_EV_DCACHE_STALL                  6
#define TMHW_DSP_EV_DCACHE_COPYBACK               7
#define TMHW_DSP_EV_COPYBK_BUF_FULL               8
#define TMHW_DSP_EV_DCACHE_WMISS_FUNIT            9
#define TMHW_DSP_EV_DCACHE_STREAM_MISS           10
#define TMHW_DSP_EV_PFETCH_OP_STARTED            11
#define TMHW_DSP_EV_PFETCH_OP_DISCRD1            12
#define TMHW_DSP_EV_PFETCH_OP_DISCRD2            13
        } bits;
        unsigned int u32;
    } cacheEvents;
    union _dspDataCacheLockCtrl
    {
        struct
        {
            unsigned int lockEnable : 1;
        } bits;
        unsigned int u32;
    } dataCacheLockCtrl;
    UInt32 dataCacheLockAddr;
    UInt32 dataCacheLockSize;
    union _dspDataCacheParams
    {
        struct
        {
            unsigned int numSets : 11;
            unsigned int associativity : 5;
            unsigned int blockSize : 10;
        } bits;
        unsigned int u32;
    } dataCacheParams;
    union _dspInstrCacheParams
    {
        struct
        {
            unsigned int numSets : 11;
            unsigned int associativity : 5;
            unsigned int blockSize : 10;
        } bits;
        unsigned int u32;
    } instrCacheParams;
    unsigned char filler00024[0x00030-0x00024];
    UInt32 control ;

#define TMHW_DSP_CR_1_1                           9
#define TMHW_DSP_CR_1_125                        44
#define TMHW_DSP_CR_1_133                        35
#define TMHW_DSP_CR_1_15                         26
#define TMHW_DSP_CR_1_166                        43
#define TMHW_DSP_CR_1_175                        60
#define TMHW_DSP_CR_1_2                          17

#define TMHW_DSP_CTL_PLL_ENABLE			0x00000001

#define TMHW_DSP_CTL_ACTION_NONE		0x00000000
#define TMHW_DSP_CTL_ACTION_STOP_AND_RESET	0x40000000
#define TMHW_DSP_CTL_ACTION_START		0x80000000
#define TMHW_DSP_CTL_ACTION_RESERVED		0xc0000000
#define TMHW_DSP_CTL_ACTION_MASK		0xc0000000

    UInt32 dramLo;
    UInt32 dramHi;
    UInt32 dramCacheLim;
    UInt32 apert1Lo;
    UInt32 apert1Hi;
    UInt32 startAddr;
    UInt32 programCounter;
    unsigned char filler00050[0x00108-0x00050];
    UInt32 powerDown;
    unsigned char filler0010c[0x00210-0x0010c];
    union _dspInstrCacheLockCtrl
    {
        struct
        {
            unsigned int lockEnable : 1;
        } bits;
        unsigned int u32;
    } instrCacheLockCtrl;
    UInt32 instrCacheLockAddr;
    UInt32 instrCacheLockSize;
    unsigned char filler0021c[0x00500-0x0021c];
    union _dspSemaphore
    {
        struct
        {
            unsigned int sem : 12;
        } bits;
        unsigned int u32;
    } semaphore;
    unsigned char filler00504[0x00800-0x00504];
    UInt32 excptVector;
    unsigned char filler00804[0x00810-0x00804];
    union _dspIntSetting0
    {
        struct
        {
            unsigned int prioritySrc0 : 3;
            unsigned int levelSensitiveSrc0 : 1;
            unsigned int prioritySrc1 : 3;
            unsigned int levelSensitiveSrc1 : 1;
            unsigned int prioritySrc2 : 3;
            unsigned int levelSensitiveSrc2 : 1;
            unsigned int prioritySrc3 : 3;
            unsigned int levelSensitiveSrc3 : 1;
            unsigned int prioritySrc4 : 3;
            unsigned int levelSensitiveSrc4 : 1;
            unsigned int prioritySrc5 : 3;
            unsigned int levelSensitiveSrc5 : 1;
            unsigned int prioritySrc6 : 3;
            unsigned int levelSensitiveSrc6 : 1;
            unsigned int prioritySrc7 : 3;
            unsigned int levelSensitiveSrc7 : 1;
        } bits;
        unsigned int u32;
    } intSetting0;
    union _dspIntSetting1
    {
        struct
        {
            unsigned int prioritySrc8 : 3;
            unsigned int levelSensitiveSrc8 : 1;
            unsigned int prioritySrc9 : 3;
            unsigned int levelSensitiveSrc9 : 1;
            unsigned int prioritySrc10 : 3;
            unsigned int levelSensitiveSrc10 : 1;
            unsigned int prioritySrc11 : 3;
            unsigned int levelSensitiveSrc11 : 1;
            unsigned int prioritySrc12 : 3;
            unsigned int levelSensitiveSrc12 : 1;
            unsigned int prioritySrc13 : 3;
            unsigned int levelSensitiveSrc13 : 1;
            unsigned int prioritySrc14 : 3;
            unsigned int levelSensitiveSrc14 : 1;
            unsigned int prioritySrc15 : 3;
            unsigned int levelSensitiveSrc15 : 1;
        } bits;
        unsigned int u32;
    } intSetting1;
    union _dspIntSetting2
    {
        struct
        {
            unsigned int prioritySrc16 : 3;
            unsigned int levelSensitiveSrc16 : 1;
            unsigned int prioritySrc17 : 3;
            unsigned int levelSensitiveSrc17 : 1;
            unsigned int prioritySrc18 : 3;
            unsigned int levelSensitiveSrc18 : 1;
            unsigned int prioritySrc19 : 3;
            unsigned int levelSensitiveSrc19 : 1;
            unsigned int prioritySrc20 : 3;
            unsigned int levelSensitiveSrc20 : 1;
            unsigned int prioritySrc21 : 3;
            unsigned int levelSensitiveSrc21 : 1;
            unsigned int prioritySrc22 : 3;
            unsigned int levelSensitiveSrc22 : 1;
            unsigned int prioritySrc23 : 3;
            unsigned int levelSensitiveSrc23 : 1;
        } bits;
        unsigned int u32;
    } intSetting2;
    union _dspIntSetting3
    {
        struct
        {
            unsigned int prioritySrc24 : 3;
            unsigned int levelSensitiveSrc24 : 1;
            unsigned int prioritySrc25 : 3;
            unsigned int levelSensitiveSrc25 : 1;
            unsigned int prioritySrc26 : 3;
            unsigned int levelSensitiveSrc26 : 1;
            unsigned int prioritySrc27 : 3;
            unsigned int levelSensitiveSrc27 : 1;
            unsigned int prioritySrc28 : 3;
            unsigned int levelSensitiveSrc28 : 1;
            unsigned int prioritySrc29 : 3;
            unsigned int levelSensitiveSrc29 : 1;
            unsigned int prioritySrc30 : 3;
            unsigned int levelSensitiveSrc30 : 1;
            unsigned int prioritySrc31 : 3;
            unsigned int levelSensitiveSrc31 : 1;
        } bits;
        unsigned int u32;
    } intSetting3;
    UInt32 intPending;
    UInt32 intClear;
    UInt32 intMask;
    unsigned char filler0082c[0x00880-0x0082c];
    UInt32 intVector[32];
    unsigned char filler00900[0x00c00-0x00900];
    struct  {
        UInt32 modulus;
        UInt32 currentValue;
        union _dspCtrl
        {
            struct
            {
                unsigned int running : 1;
                unsigned int : 7;
                unsigned int src : 4;
#define TMHW_DSP_TIMERSRC_CLOCK                   0
#define TMHW_DSP_TIMERSRC_PRESCALE                1
#define TMHW_DSP_TIMERSRC_EXT_CLK                 2
#define TMHW_DSP_TIMERSRC_DATABREAK               3
#define TMHW_DSP_TIMERSRC_INSTBREAK               4
#define TMHW_DSP_TIMERSRC_CACHE1                  5
#define TMHW_DSP_TIMERSRC_CACHE2                  6
#define TMHW_DSP_TIMERSRC_VI_CLK                  7
#define TMHW_DSP_TIMERSRC_VO_CLK                  8
#define TMHW_DSP_TIMERSRC_AI_WS                   9
#define TMHW_DSP_TIMERSRC_AO_WS                  10
#define TMHW_DSP_TIMERSRC_SSI_RXFSX              11
#define TMHW_DSP_TIMERSRC_SSI_TXFSX              12
                unsigned int : 4;
                unsigned int prescale : 4;
            } bits;
            unsigned int u32;
        } ctrl;
        unsigned char filler00c0c[0x00c1c-0x00c0c];
        UInt32 filler100c1c;
    } tmTimer[4] ;
    unsigned char filler00c80[0x00ffc-0x00c80];
    tmBlockId_t BlockId;
    union _dspInstrBreakCtrl
    {
        struct
        {
            unsigned int breakEnable : 1;
            unsigned int : 7;
            unsigned int breakIfAddrOutsideRange : 1;
        } bits;
        unsigned int u32;
    } instrBreakCtrl;
    UInt32 instrBreakAddrRangeLo;
    UInt32 instrBreakAddrRangeHi;
    unsigned char filler0100c[0x01020-0x0100c];
    union _dspDataBreakCtrl
    {
        struct
        {
            unsigned int ctrl : 2;
#define TMHW_DSP_DC_NO_CHECKING                   0
#define TMHW_DSP_DC_CHECK_ADDRS                   1
#define TMHW_DSP_DC_CHECK_DATA                    2
#define TMHW_DSP_DC_CHECK_DATA_N_ADDRS            3
            unsigned int breakOnLoad : 1;
            unsigned int brealOnStore : 1;
        } bits;
        unsigned int u32;
    } dataBreakCtrl;
    unsigned char filler01024[0x01030-0x01024];
    UInt32 dataBreakAddrRangeLo;
    UInt32 dataBreakAddrRangeHi;
    UInt32 dataBreakValue;
    UInt32 dataBreakValueMask;
} tmhwDspRegs_NONVOLATILE_t;
typedef volatile tmhwDspRegs_NONVOLATILE_t *ptmhwDspRegs_t;

#if        defined(RGD_CHECK_OFFSETS)
#if        RGD_CHECK_OFFSETS

#define _RGD_offsetof(p, f) ((unsigned int) (&(((p))->f)))
#define _RGD_Check_Offset(s, f, o)                              \
    {                                                           \
        extern void _##s##_##f##_offset_not_##o(                \
            tp##s,                                              \
            unsigned int                                        \
        );                                                      \
        (void) (                                                \
            (_RGD_offsetof(pRegs, f) == 0x##o)                  \
            ? 0                                                 \
            : (                                                 \
                _##s##_##f##_offset_not_##o(                    \
                    pRegs,                                      \
                    _RGD_offsetof(pRegs, f)                     \
                ),                                              \
                0                                               \
            )                                                   \
        );                                                      \
    }                                                           \

#pragma optimize("agpsw", on)

#if        defined(__cplusplus)
extern "C" {
void _RGD_CPP_Check_tmhwDspRegs_Offsets(ptmhwDspRegs_t pRegs)
#else   // defined(__cplusplus)
void _RGD_C_Check_tmhwDspRegs_Offsets(ptmhwDspRegs_t pRegs)
#endif  // defined(__cplusplus)
{
    _RGD_Check_Offset(tmhwDspRegs, cacheEvents,                   0000000c);
    _RGD_Check_Offset(tmhwDspRegs, dataCacheLockCtrl,             00000010);
    _RGD_Check_Offset(tmhwDspRegs, dataCacheLockAddr,             00000014);
    _RGD_Check_Offset(tmhwDspRegs, dataCacheLockSize,             00000018);
    _RGD_Check_Offset(tmhwDspRegs, dataCacheParams,               0000001c);
    _RGD_Check_Offset(tmhwDspRegs, instrCacheParams,              00000020);
    _RGD_Check_Offset(tmhwDspRegs, control,                       00000030);
    _RGD_Check_Offset(tmhwDspRegs, dramLo,                        00000034);
    _RGD_Check_Offset(tmhwDspRegs, dramHi,                        00000038);
    _RGD_Check_Offset(tmhwDspRegs, dramCacheLim,                  0000003c);
    _RGD_Check_Offset(tmhwDspRegs, apert1Lo,                      00000040);
    _RGD_Check_Offset(tmhwDspRegs, apert1Hi,                      00000044);
    _RGD_Check_Offset(tmhwDspRegs, startAddr,                     00000048);
    _RGD_Check_Offset(tmhwDspRegs, programCounter,                0000004c);
    _RGD_Check_Offset(tmhwDspRegs, powerDown,                     00000108);
    _RGD_Check_Offset(tmhwDspRegs, instrCacheLockCtrl,            00000210);
    _RGD_Check_Offset(tmhwDspRegs, instrCacheLockAddr,            00000214);
    _RGD_Check_Offset(tmhwDspRegs, instrCacheLockSize,            00000218);
    _RGD_Check_Offset(tmhwDspRegs, semaphore,                     00000500);
    _RGD_Check_Offset(tmhwDspRegs, excptVector,                   00000800);
    _RGD_Check_Offset(tmhwDspRegs, intSetting0,                   00000810);
    _RGD_Check_Offset(tmhwDspRegs, intSetting1,                   00000814);
    _RGD_Check_Offset(tmhwDspRegs, intSetting2,                   00000818);
    _RGD_Check_Offset(tmhwDspRegs, intSetting3,                   0000081c);
    _RGD_Check_Offset(tmhwDspRegs, intPending,                    00000820);
    _RGD_Check_Offset(tmhwDspRegs, intClear,                      00000824);
    _RGD_Check_Offset(tmhwDspRegs, intMask,                       00000828);
    _RGD_Check_Offset(tmhwDspRegs, intVector,                     00000880);
    _RGD_Check_Offset(tmhwDspRegs, tmTimer,                       00000c00);
    _RGD_Check_Offset(tmhwDspRegs, BlockId,                       00000ffc);
    _RGD_Check_Offset(tmhwDspRegs, instrBreakCtrl,                00001000);
    _RGD_Check_Offset(tmhwDspRegs, instrBreakAddrRangeLo,         00001004);
    _RGD_Check_Offset(tmhwDspRegs, instrBreakAddrRangeHi,         00001008);
    _RGD_Check_Offset(tmhwDspRegs, dataBreakCtrl,                 00001020);
    _RGD_Check_Offset(tmhwDspRegs, dataBreakAddrRangeLo,          00001030);
    _RGD_Check_Offset(tmhwDspRegs, dataBreakAddrRangeHi,          00001034);
    _RGD_Check_Offset(tmhwDspRegs, dataBreakValue,                00001038);
    _RGD_Check_Offset(tmhwDspRegs, dataBreakValueMask,            0000103c);
}
#pragma optimize("", on)

#if        defined(__cplusplus)
}
#endif  // defined(__cplusplus)

#undef  _RGD_offsetof
#undef  _RGD_Check_Offset

#endif  // RGD_CHECK_OFFSETS
#endif  // defined(RGD_CHECK_OFFSETS)

#endif  // !defined(_TMHWDSP2B80_RGD_SEEN)
//#@-node:@file host/tmhw.h
//#@-leo
