#ifndef __PHSTBGPIO_H__
#define __PHSTBGPIO_H__
/*
   Copyright (C) 2005 Koninklijke Philips Electronics N.V., 
   All Rights Reserved. 

Rev Date       Author      Comments
--------------------------------------------------------------------------------
  1 20050614   burningh    Original
  2 20070216   crowe       Extended to GPIO60.
*/
/** GPIO (General Purpose Input Output) driver for PNX8550. Handles pins 0-60. */

/* Modes for a GPIO pin - used as the argument to PHSTBGPIO_IOCTL_PIN_MODE */
typedef enum phStbGpio_PinMode
{
    phStbGpio_PinModePrimary       = 1, /* Set pin to its primary mode (see 8550 UM for details) */
    phStbGpio_PinModeGpio          = 2, /* Set pin to GPIO mode */
    phStbGpio_PinModeGpioOpenDrain = 3, /* Set pin to GPIO mode with open drain */
    phStbGpio_PinModeGpioTristate  = 4  /* Set pin to tristated GPIO mode */
} phStbGpio_PinMode_t;

/* The base of phStbGpio ioctls */
#define PHSTBGPIO_IOCTL_BASE 0xBF

/* Set the mode of a GPIO pin - takes phStbGpio_PinMode_t as an argument */
#define PHSTBGPIO_IOCTL_SET_PIN_MODE _IOW(PHSTBGPIO_IOCTL_BASE, 0, phStbGpio_PinMode_t)

/* Get the mode of a GPIO pin - takes &phStbGpio_PinMode_t as an argument */
#define PHSTBGPIO_IOCTL_GET_PIN_MODE _IOR(PHSTBGPIO_IOCTL_BASE, 1, phStbGpio_PinMode_t *)

#endif
