#ifndef PHSTBRPC_LINUX_H    /* Multi-include protection.   <FILENAME>_H */
#define PHSTBRPC_LINUX_H

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Copyright (C) 2006 NXP B.V.
 * All Rights Reserved.
*//**
    @file   phStbRpc_Linux.h
    @brief  Interprocessor data transfer interface for RPC under Linux.

@b  Component: phStbRpc.

*//*

Rev Date        Author      Comments
--------------------------------------------------------------------------------
  1 20051101    batelaan    Original
  2 20070730    laird       Updated Header
--------------------------------------------------------------------------------
    For consistency and standardisation retain the Section Separators.
*/


/*******************
* INCLUDE FILES    *
********************/

/**************************************************************
* EXPORTED MACROS         PH[<LNX|TM|NONE>]_IPSTBRPC_<_WORD>+        *
***************************************************************/

#define PH_STBRPC_DEVICE_NAME "phrpc"
#define PH_STBRPC_DEVICE_PATH ("/dev/" PH_STBRPC_DEVICE_NAME)

/* The base of phStbRpc ioctls */
#define PH_STBRPC_IOCTL_BASE 0xBE

/** Used by phStbRpc_RpcCall(). */
#define PH_STBRPC_IOCTL_RPCCALL _IOW(PH_STBRPC_IOCTL_BASE, 0, UInt8*)

/**************************************************************
* EXPORTED TYPEDEFS       [p]ph[<lnx|tm|NONE>]StbRpc_<Word>+_t  *
***************************************************************/

/*******************************************************************
* EXPORTED DATA      g[k|p|kp|pk|kpk]ph[<lnx|tm|NONE>]StbRpc_<Word>+ *
********************************************************************/

/*******************************************************************
* EXPORTED FUNCTION PROTOTYPES     ph[<lnx|tm|NONE>]StbRpc[_<Word>+]   *
********************************************************************/

#endif /* PHSTBRPC_LINUX_H      Do not add any thing below this line */
