#ifndef PHSTBRPC_LUDDITEMODULE_H    /* Multi-include protection.   <FILENAME>_H */
#define PHSTBRPC_LUDDITEMODULE_H

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Copyright (C) 2006 NXP B.V.
 * All Rights Reserved.
*//**
    @file   phStbRpc_LudditeModule.h
    @brief  Header file for Luddite implementation of kernel-mode Rpc Xfer interface.

@b  Component: phStbRpc.

*//*

Rev Date        Author      Comments
--------------------------------------------------------------------------------
  1 20051109    batelaan    Original
  2 20070730    laird       Updated Header
--------------------------------------------------------------------------------
    For consistency and standardisation retain the Section Separators.
*/


/*******************
* INCLUDE FILES    *
********************/

#include <luddite-host.h>

/**************************************************************
* EXPORTED MACROS         PH[<LNX|TM|NONE>]_IPSTBRPC_<_WORD>+        *
***************************************************************/

/** @see ::phStbRpc_Xfer */
#define PH_STBRPC_XFER_MEMBERS                    \
    Char device[PH_STBRPC_LUD_NODE_NAME_LEN + 1]; \
    LUD_DEV_LINK* link; \
    LUD_CHANNEL*  readChan; \
    LUD_CHANNEL*  writeChan \

/**************************************************************
* EXPORTED TYPEDEFS       [p]ph[<lnx|tm|NONE>]StbRpc_<Word>+_t  *
***************************************************************/

/*******************************************************************
* EXPORTED DATA      g[k|p|kp|pk|kpk]ph[<lnx|tm|NONE>]StbRpc_<Word>+ *
********************************************************************/

/*******************************************************************
* EXPORTED FUNCTION PROTOTYPES     ph[<lnx|tm|NONE>]StbRpc[_<Word>+]   *
********************************************************************/

#endif /* PHSTBRPC_LUDDITEMODULE_H      Do not add any thing below this line */
